package com.ruoyi.ems.domain;

import java.sql.Time;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电网供应计量-小时对象 adm_ems_pg_supply_h
 *
 * @author ruoyi
 * @date 2024-08-09
 */
public class ElecPgSupplyH extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    @Excel(name = "园区代码")
    private String areaCode;

    /** 园区名称 */
    @Excel(name = "服务区")
    private String areaName;

    /** 园区简称 */
    private String areaShortName;

    /** 设施代码 */

    private String facsCode;

    @Excel(name = "设施")
    private String facsName;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 时间 */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "HH:mm:ss")
    private Time time;

    /** 时间序列 */
    @Excel(name = "时间序列")
    private Integer timeIndex;

    /** 计量类型 */
    @Excel(name = "计量类型")
    private Integer meterType;

    /** 单位电价 */
    @Excel(name = "单位电价")
    private Double meterUnitPrice;

    /** 用电量（kW-h） */
    @Excel(name = "用电量")
    private Double useElecQuantity;

    /** 用电电费（元） */
    @Excel(name = "用电电费")
    private Double useElecCost;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaShortName() {
        return areaShortName;
    }

    public void setAreaShortName(String areaShortName) {
        this.areaShortName = areaShortName;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public String getFacsName() {
        return facsName;
    }

    public void setFacsName(String facsName) {
        this.facsName = facsName;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Time getTime() {
        return time;
    }

    public void setTime(Time time) {
        this.time = time;
    }

    public Integer getTimeIndex() {
        return timeIndex;
    }

    public void setTimeIndex(Integer timeIndex) {
        this.timeIndex = timeIndex;
    }

    public Integer getMeterType() {
        return meterType;
    }

    public void setMeterType(Integer meterType) {
        this.meterType = meterType;
    }

    public Double getMeterUnitPrice() {
        return meterUnitPrice;
    }

    public void setMeterUnitPrice(Double meterUnitPrice) {
        this.meterUnitPrice = meterUnitPrice;
    }

    public Double getUseElecQuantity() {
        return useElecQuantity;
    }

    public void setUseElecQuantity(Double useElecQuantity) {
        this.useElecQuantity = useElecQuantity;
    }

    public Double getUseElecCost() {
        return useElecCost;
    }

    public void setUseElecCost(Double useElecCost) {
        this.useElecCost = useElecCost;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("areaCode", getAreaCode())
                .append("facsCode", getFacsCode())
                .append("date", getDate())
                .append("time", getTime())
                .append("timeIndex", getTimeIndex())
                .append("meterType", getMeterType())
                .append("meterUnitPrice", getMeterUnitPrice())
                .append("useElecQuantity", getUseElecQuantity())
                .append("useElecCost", getUseElecCost())
                .toString();
    }
}
